%define	module	IO-Compress-Zlib
%define	name	perl-%{module}
%define	version	2.008
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A Perl interface to allow reading and writing gzip and zip files/buffers
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{module}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires: perl(Compress::Raw::Zlib) >= %version
BuildRequires: perl(IO::Compress::Base) >= %version
BuildArch: noarch

%description
A Perl interface to allow reading and writing of RFC
1950, 1951, 1952 (i.e. gzip) and zip files/buffers.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/*




%changelog
* Mon Nov 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.008-1mdv2008.1
+ Revision: 108304
- update to new version 2.008

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.006-1mdv2008.0
+ Revision: 78408
- update to new version 2.006

* Fri Jul 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.005-1mdv2008.0
+ Revision: 48847
- 2.005


* Tue Mar 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.004-1mdv2007.0
+ Revision: 133978
- 2.004

* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 2.003-3mdv2007.1
+ Revision: 104978
- 2.003

* Fri Nov 17 2006 Olivier Thauvin <nanardon@mandriva.org> 2.001-3mdv2007.1
+ Revision: 85396
- bump release again to be allow to retry a build

* Mon Nov 13 2006 Olivier Thauvin <nanardon@mandriva.org> 2.001-2mdv2007.1
+ Revision: 83940
- remove useless buildrequires
- first mdv package
- Create perl-IO-Compress-Zlib

